From 0ef6ea22479b4696a0d62cd44aac8f4fe866db2f Mon Sep 17 00:00:00 2001
From: Slaven Rezic <cpansand@cloud1.bbbike.org>
Date: Sun, 29 Sep 2019 16:19:57 +0000
Subject: [PATCH] compat for libcurl 7.66.0 (fix for RT #130591)

---
 Curl.xs     | 4 ++++
 Makefile.PL | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/Curl.xs b/Curl.xs
index ea9f870..e81c415 100644
--- Curl.xs
+++ Curl.xs
@@ -18,6 +18,10 @@
 #include <curl/easy.h>
 #include <curl/multi.h>
 
+#ifdef CURLINC_MULTI_H
+#define __CURL_MULTI_H
+#endif
+
 #define header_callback_func writeheader_callback_func
 
 /* Do a favor for older perl versions */
diff --git a/Makefile.PL b/Makefile.PL
index bb852e4..713656a 100644
--- Makefile.PL
+++ Makefile.PL
@@ -127,7 +127,7 @@ if (!defined($curl_h)) {
     close H;
 
     for my $e (sort @syms) {
-       if($e =~ /(OBSOLETE|^CURL_EXTERN|_LAST\z|_LASTENTRY\z)/) {
+       if($e =~ /(OBSOLETE|^CURL_EXTERN|_LAST\z|_LASTENTRY\z|^CURLINC_)/) {
           next;
        }
        my ($group) = $e =~ m/^([^_]+_)/;
-- 
2.1.4

